Package anbxj

# Class Crypto_Config_Default

java.lang.Object
anbxj.Crypto_Config_Default

public class Crypto_Config_Default extends Object
Default values for cryptographic engine configuration.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `asymBlockLengthDec`
  Length of the asymmetric encryption block for decryption
  `static int`
  `asymBlockLengthEnc`
  Length of the asymmetric encryption block for encryption
  `static String`
  `asymCipherSchemeBlock`
  Asymmetric encryption scheme block mode (experimental)
  `static String`
  `cipherScheme`
  Cipher Algorithm Name/Cipher Algorithm Mode/Cipher Algorithm Padding (Symmetric Encryption)
  `static final Map<String,String>`
  `defaultKeyTypeToCipherMap`
  Default key type to cipher transformation mapping.
  `static final Map<String,String>`
  `defaultKeyTypeToSignatureMap`
  Default key type to signature mapping.
  `static int`
  `dhModulusSize`
  Random Exponent length in bit for Diffie-Hellman key agreement
  `static String`
  `ecGenParameterSpec`
  Elliptic Curve.
  `static String`
  `hmacAlgorithm`
  KeyGenerator Algorithms for Hmac
  `static int`
  `hmacKeySize`
  Key length in bits for Hmac algorithms supporting different key lengths
  `static String`
  `keyAgreementAlgorithm`
  KeyAgreement Algorithm
  `static String`
  `keyAgreementKeyPairGenerationScheme`
  KeyPairGeneration for KeyAgreement Algorithm
  `static String`
  `keyGenerationScheme`
  KeyGenerator Algorithm Name used for dynamic key generation (Symmetric Encryption)
  `static String`
  `keyGenerationSchemePBE`
  SecretKeyFactory Algorithm used for Password Based Encryption (PBE) dynamic key generation (Symmetric Encryption)
  `static int`
  `keyGenerationSize`
  Key length in bits for ciphers, used for dynamic key generation, supporting different key lengths
  `static String`
  `keyPairGenerationScheme`
  KeyPairGenerator Algorithm dynamic creation of Key Pairs (Asymmetric Encryption)
  `static int`
  `keyPairGenerationSize`
  KeyPairGenerator key length for dynamic creation of Key Pairs
  `static int`
  `keySize`
  Key length in bits for ciphers supporting different key lengths
  `static String`
  `messageDigestAlgorithm`
  MessageDigest Algorithm (Hash)
  `static String`
  `messageDigestSignatureAlgorithm`
  MessageDigest Signature Algorithm (Hash) Corresponds to the "digest" part of "digest"with"encryption" of the Signature algorithm name
  `static String`
  `secureRandomAlgorithm`
  SecureRandom Number Generation Algorithm
  `static String`
  `securityProvider`
  The default security provider
  `static String`
  `sslContext`
  SSL Context

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_Config_Default()`
  Default constructor

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cipherScheme

    public static String cipherScheme
    Cipher Algorithm Name/Cipher Algorithm Mode/Cipher Algorithm Padding (Symmetric Encryption)

  - ### keySize

    public static int keySize
    Key length in bits for ciphers supporting different key lengths

  - ### keyGenerationScheme

    public static String keyGenerationScheme
    KeyGenerator Algorithm Name used for dynamic key generation (Symmetric Encryption)

  - ### keyGenerationSize

    public static int keyGenerationSize
    Key length in bits for ciphers, used for dynamic key generation, supporting different key lengths

  - ### keyGenerationSchemePBE

    public static String keyGenerationSchemePBE
    SecretKeyFactory Algorithm used for Password Based Encryption (PBE) dynamic key generation (Symmetric Encryption)

  - ### keyPairGenerationScheme

    public static String keyPairGenerationScheme
    KeyPairGenerator Algorithm dynamic creation of Key Pairs (Asymmetric Encryption)

  - ### keyPairGenerationSize

    public static int keyPairGenerationSize
    KeyPairGenerator key length for dynamic creation of Key Pairs

  - ### secureRandomAlgorithm

    public static String secureRandomAlgorithm
    SecureRandom Number Generation Algorithm

  - ### hmacAlgorithm

    public static String hmacAlgorithm
    KeyGenerator Algorithms for Hmac

  - ### hmacKeySize

    public static int hmacKeySize
    Key length in bits for Hmac algorithms supporting different key lengths

  - ### messageDigestAlgorithm

    public static String messageDigestAlgorithm
    MessageDigest Algorithm (Hash)

  - ### messageDigestSignatureAlgorithm

    public static String messageDigestSignatureAlgorithm
    MessageDigest Signature Algorithm (Hash) Corresponds to the "digest" part of "digest"with"encryption" of the Signature algorithm name

  - ### keyAgreementAlgorithm

    public static String keyAgreementAlgorithm
    KeyAgreement Algorithm

  - ### keyAgreementKeyPairGenerationScheme

    public static String keyAgreementKeyPairGenerationScheme
    KeyPairGeneration for KeyAgreement Algorithm

  - ### dhModulusSize

    public static int dhModulusSize
    Random Exponent length in bit for Diffie-Hellman key agreement

  - ### ecGenParameterSpec

    public static String ecGenParameterSpec
    Elliptic Curve.

  - ### asymCipherSchemeBlock

    public static String asymCipherSchemeBlock
    Asymmetric encryption scheme block mode (experimental)

  - ### asymBlockLengthEnc

    public static int asymBlockLengthEnc
    Length of the asymmetric encryption block for encryption

  - ### asymBlockLengthDec

    public static int asymBlockLengthDec
    Length of the asymmetric encryption block for decryption

  - ### sslContext

    public static String sslContext
    SSL Context

  - ### securityProvider

    public static String securityProvider
    The default security provider

  - ### defaultKeyTypeToCipherMap

    public static final Map<String,String> defaultKeyTypeToCipherMap
    Default key type to cipher transformation mapping. Example: RSA -> RSA/ECB/OAEPWithSHA-256AndMGF1Padding, EC -> ECIES

  - ### defaultKeyTypeToSignatureMap

    public static final Map<String,String> defaultKeyTypeToSignatureMap
    Default key type to signature mapping. Example: Ed25519 -> Ed25519

- ## Constructor Details

  - ### Crypto_Config_Default

    public Crypto_Config_Default()
    Default constructor